Delete specific shipping zone with Id :shippingZoneId
DELETE https://services.leadconnectorhq.com/store/shipping-zone/{shippingZoneId}
Autorización
Bearer token generado desde el portal Leadway. Ver Autenticación.
Version
string
default:"2021-07-28"
required
Versión de la API.
Path parameters
shippingZoneId
string
default:"6578278e879ad2646715ba9c"
required
ID of the item that needs to be returned
Query parameters
altId
string
default:"6578278e879ad2646715ba9c"
required
Account Id or Agency Id
Respuestas
200 - Successful response
status
boolean
default:"True"
required
Status of api action
message
string
default:"Successfully created"
Success message
{
"status": true,
"message": "Successfully created"
}
422 - Unprocessable Entity
Ejemplo
curl -X DELETE 'https://services.leadconnectorhq.com/store/shipping-zone/YOUR_shippingZoneId' \
-H 'Authorization: Bearer YOUR_TOKEN' \
-H 'Version: 2021-07-28'
const response = await fetch('https://services.leadconnectorhq.com/store/shipping-zone/YOUR_shippingZoneId', {
method: 'DELETE',
headers: {
Authorization: `Bearer ${process.env.LEADWAY_TOKEN}`,
Version: '2021-07-28',
},
});
const data = await response.json();
import os, requests
response = requests.request(
'DELETE',
'https://services.leadconnectorhq.com/store/shipping-zone/YOUR_shippingZoneId',
headers={
'Authorization': f"Bearer {os.environ['LEADWAY_TOKEN']}",
'Version': '2021-07-28',
},
)
data = response.json()
<?php
$ch = curl_init('https://services.leadconnectorhq.com/store/shipping-zone/YOUR_shippingZoneId');
curl_setopt_array($ch, [
CURLOPT_RETURNTRANSFER => true,
CURLOPT_CUSTOMREQUEST => 'DELETE',
CURLOPT_HTTPHEADER => [
'Authorization: Bearer ' . getenv('LEADWAY_TOKEN'),
'Version: 2021-07-28',
],
]);
$data = json_decode(curl_exec($ch), true);